<!DOCTYPE html>

<html>

<head>

  <% include ../partials/head %>
  <%include ../partials/navbar %>
  <%include ../partials/header %>

  <title> Utilisateurs </title>

</head>

<body>
  <br><br><br><br>
    <div class="container padding-top-10">
         <div class="panel panel-default">
            <div class="panel-heading">
                <h1> Liste des utilisateurs </h1>
            </div>
            <div class="panel-body">
                <form action="/users_list" method="post" class="form-inline">
                  <label for="user_order" class="control-label"> Organiser par: </label>
                  <select name="user_order" id="user_order" class="form-control" onchange="this.form.submit();">
                    <option value="ORDER BY user_id" <%= (order_selected.indexOf('id') > 0 ) ? "selected" : "" %>> ID </option>
                    <option value="ORDER BY user_fname" <%= (order_selected.indexOf('fname') > 0) ? "selected" : "" %>> Prénom </option>
                    <option value="ORDER BY user_lname" <%= (order_selected.indexOf('lname') > 0) ? "selected" : "" %>> Nom </option>
                    <option value="ORDER BY user_username" <%= (order_selected.indexOf('username') > 0) ? "selected" : "" %>> Nom d'utilisateur </option>
                    <option value="ORDER BY user_access" <%= (order_selected.indexOf('access') > 0) ? "selected" : "" %>> Niveau d'autorité </option>
                  </select>
                </form>
                <form action="/users_action" id="users_action_form" method="post">
                    <table class="users-list-tab table">
                    <tr>
                        <th> ID </th>
                        <th> Prénom </th>
                        <th> Nom </th>
                        <th> Nom d'utilisateur </th>
                        <th> Mot de passe (encrypté) </th>
                        <th> Niveau d'autorité </th>
                    </tr>
                    <% for(var i = 0; i < users_list.length; i++) { %>
                        <tr>
                            <td><%= users_list[i].user_id %></td>
                            <td><%= users_list[i].user_fname %></td>
                            <td><%= users_list[i].user_lname %></td>
                            <td><%= users_list[i].user_username %></td>
                            <td><%= users_list[i].user_password %></td>
                            <td><%= users_list[i].user_access.toString() %></td>

                            <td><button type='button' class ='edit-btn btn btn-default' title="Éditer" onclick=<%= "redirCommand('edit" + users_list[i].user_id + "');" %>>&#x270E;</button></td>
                            <td><button type='button' class ='edit-btn btn btn-default' title="Supprimer" onclick=<%= "redirCommand('dele" + users_list[i].user_id + "');" %>>&#x2716;</button></td>
                            <td><button type='button' class ='edit-btn btn btn-default' title="Changer le mot de passe" onclick=<%= "redirCommand('pass" + users_list[i].user_id + "');" %>>&#x1f512;</button></td>
                       </tr>
                    <% } %>
                    </table>
                    <button type='button' class ='btn btn-primary' onclick="redirCommand('add');"> <b> + </b> Add new </button>
                    <input type="text" name="redirectCommand" id="redirectCommand" class="invisible-input">
                </form>
            </div>
         <div>
    </div>
    </div>

    <%include ../partials/footer %>
    <%include ../partials/parsers %>
    <%include ../partials/libs %>
    <% include ../partials/alarm_popup %>
</body>

</html>
